# $Revision: 1.12 $, $Date: 2012/02/11 21:07:02 $
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IPC
%define		pnam	Cmd
Summary:	IPC::Cmd - finding and running system commands made easy
Summary(pl.UTF-8):	IPC::Cmd - łatwe znajdowanie i uruchamianie poleceń systemowych
Name:		perl-IPC-Cmd
Version:	0.76
Release:	1
# "same as perl"
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IPC/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	693b9e14414995f030c7093458dbbc8d
URL:		http://search.cpan.org/dist/IPC-Cmd/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl-Module-Load-Conditional
BuildRequires:	perl-Params-Check
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl module IPC::Cmd allows you to run commands, interactively if
desired, platform independent but have them still work.

The "can_run" function can tell you if a certain binary is installed
and if so where, whereas the "run" function can actually execute any
of the commands you give it and give you a clear return value, as well
as adhere to your verbosity settings.

%description -l pl.UTF-8
Moduł Perla IPC::Cmd pozwala uruchamiać polecenia, w razie potrzeby
interaktywnie, w sposób niezależny od platformy.

Funkcja "can_run" jest w stanie odpowiedzieć, czy dany program jest
zainstalowany i gdzie, natomiast funkcja "run" potrafi uruchomić
dowolne zadane polecenie i przekazać zwróconą wartość, uwzględniając
ustawienia "gadatliwości".

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/IPC/Cmd.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IPC-Cmd.spec,v $
Revision 1.12  2012/02/11 21:07:02  zbyniu
- up to 0.76

Revision 1.11  2012/01/15 21:43:11  zbyniu
- up to 0.72

Revision 1.10  2009/11/26 13:02:53  amateja
- updated to 0.54

Revision 1.9  2009/09/11 15:07:36  amateja
- updated to 0.50
- added noarch

Revision 1.8  2007/12/24 15:45:21  qboosh
- complete URL

Revision 1.7  2007-12-24 02:14:54  zbyniu
- up to 0.40

Revision 1.6  2007-02-12 22:09:11  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.4  2006/08/20 09:11:54  qboosh
- typo

Revision 1.3  2006/07/26 20:56:55  qboosh
- pl, unified License format

Revision 1.2  2006/07/26 18:46:01  agaran
- rel 0.2, fixed %desc, BR, license, should be ok, builds here of course

Revision 1.1  2006/07/26 17:41:34  agaran
- initial, Not Finished, Has Broken Deps, Work In Progress
